@font-face {
    font-family: 'D2Coding';
    src: url("/static/fonts/D2Coding.ttf") format("ttf");
}

@font-face {
    font-family: 'NanumSquareRound';
    src: url("/static/fonts/NanumSquareRoundR.ttf") format("ttf");
}

@font-face {
    font-family: 'NanumGothic';
    src: url("/static/fonts/NanumGothic.ttf") format("ttf");
}

@font-face {
    font-family: 'IBMPlexSans';
    src: url("/static/fonts/IBMPlexSansKR-Regular.ttf") format("ttf");
}

:root {
    --font-size-large: clamp(1.2rem, 1.2rem, 2rem);
    --font-size-middle: clamp(1rem, 1rem, 1.2rem);
    --font-size-small: clamp(0.825rem, 0.825rem, 1rem);
}

body {
    margin: 0;
    padding: 3rem;
    height: 100%;
    overflow: auto;
}

footer {
    bottom: 0;
}

body::-webkit-scrollbar {
    width: 10px;
}

body::-webkit-scrollbar-thumb {
    background-color: #f0f0f0;
    border-radius: 10px;
}

body::-webkit-scrollbar-track {
    background-color: rgba(0, 0, 0, 0);
}

.main-title {
    letter-spacing: 1rem;
    font-weight: 600;
    color: coral;
    text-shadow: 0.2rem 0.2rem 0px rgba(0,0,0,0.1);;
}

.main-sub-title {
    font-size: 0.825rem;
    letter-spacing: 0.2rem;
}

#test-btn,
#test-btn2,
#test-btn3,
#test-btn4 {
    margin-left: 50px;
    padding-left: 20px;
    padding-right: 20px;
    background: lightblue;
    font-weight: bold;
    font-family: "Arial Black", sans-serif;
    border: 0;
}

#test-btn:hover,
#test-btn2:hover,
#test-btn3:hover,
#test-btn4:hover {
    background: #3c5169;
    font-weight: bold;
    color: white;
    font-family: "Arial Black", sans-serif;
    border: 0;
    cursor: pointer;
}

pre {
    font-family: D2Coding;
    font-size: 0.825rem;
    white-space: pre-wrap;
    word-break: break-all;
    overflow: auto;
}

.doc-contents {
    display: inline-block;
    height: 100vh;
    width: 80%;
    opacity: 0;
    transition: opacity 0.5s ease-in-out;
}

.doc-sub-contents {
    margin-bottom: 50px;
}

.doc-a {
    margin-left: 20px;
}

.doc-a {
    font-family: "IBMPlexSans", sans-serif;
    font-weight: 400;
    vertical-align: inherit;
    font-size: 0.8vw;
    line-height: 3vh;
}

.doc-a-tab1 {
    margin-left: 50px;
}

.doc-a-tab2 {
    margin-left: 100px;
}

.box-underline {
    border-bottom: 1px solid #eaecef;
}

.doc-main-list-1 {
    font-family: NanumSquareRound;
    font-size: var(--font-size-large);
    font-weight: bold;
    /* color: blue; */
    margin-bottom: 30px;
}

.doc-main-list-2 {
    font-family: NanumSquareRound;
    font-size: var(--font-size-middle);
    font-weight: bold;
    /* color: #3535fd; */
    margin-left: 5px;
    margin-bottom: 20px;
}

.doc-main-list-3 {
    font-family: NanumSquareRound;
    font-size: var(--font-size-middle);
    font-weight: bold;
    color: #6161fc;
    margin-left: 10px;
    margin-bottom: 10px;
}

.doc-section-head-1 {
    font-family: NanumGothic;
    font-size: var(--font-size-middle);
    font-weight: bold;
    margin-bottom: 10px;
}

.doc-section-body {
    font-family: NanumSquareRound;
    font-size: var(--font-size-small);
    border: 0.1ch solid whitesmoke;
    border-radius: 5px;
    padding: 10px;
    box-shadow: 3px 3px 3px gray;
    margin-bottom: 50px;
    word-wrap: break-word;
    margin-left: 2%;
}

.doc-method-post {
    font-family: D2Coding;
    font-size: 1.5ch;
    font-weight: bold;
    color: orangered;
    margin-left: 20px;
}

.doc-method-get {
    font-family: D2Coding;
    font-size: 1ch;
    font-weight: bold;
    color: darkgreen;
}

.doc-test {
    color: dodgerblue;
}

.doc-real {
    color: red;
}

.table-box {
    overflow-x: auto;
    margin-bottom: 40px;
    padding-right: 5px;
    padding-bottom: 5px;
}

.table-box::-webkit-scrollbar {
    height: 5px;
}

.table-box::-webkit-scrollbar-thumb {
    background-color: #ff5e009f;
    border-radius: 10px;
}

.table-box::-webkit-scrollbar-track {
    background-color: rgba(0, 0, 0, 0);
}

table {
    word-break: break-all;
    margin-left: 2%;
    width: 98%;
    min-width: 800px;
    border: 0.1ch solid gray;
    border-collapse: collapse;
    box-shadow: 3px 3px 3px gray;
    font-size: var(--font-size-small);
}

th {
    font-family: NanumGothic;
    padding-top: 10px;
    padding-bottom: 10px;
    border: 0.1ch solid gray;
}

td {
    font-family: D2Coding;
    padding-top: 10px;
    padding-bottom: 10px;
    border: 0.1ch solid gray;
}

.cell-10 {
    width: 10%;
}

.cell-20 {
    width: 20%;
}

.cell-30 {
    width: 30%;
}

.cell-40 {
    width: 40%;
}

.cell-60 {
    width: 60%;
}

.cell-left {
    text-align: left;
    padding-left: 5px;
}

.cell-right {
    text-align: right;
    padding-right: 5px;
}

.cell-center {
    text-align: center;
    padding-left: 5px;
    padding-right: 5px;
}

.txt-bold {
    font-weight: bold;
}

.txt-accent {
    font-weight: bold;
    color: orangered;
}

.txt-red {
    color: red;
}

.txt-blue {
    color: blue;
}

.txt-indent-1 {
    padding-left: 20px;
}

.txt-indent-2 {
    padding-left: 40px;
}

.txt-indent-3 {
    padding-left: 80px;
}

.head-color {
    background-color: whitesmoke;
}

/* 탭구현 Start */
.div-tab {
    float: left;
    width: 98%;
    height: auto;
    margin-bottom: 5rem;
    margin-left: 2%;
}

.div-tab ul, li {
    list-style: none;
}

.content-list ul, li {
    list-style: disc;
}

.content-list ul {
    padding-inline-start: 0;
}

.content-list li {
    margin-bottom: 20px;
}

.content-list li:last-child {
    margin-bottom: 0;
}

.tab-nav {
    font-size: 0;
    width: 100%;
    left: 0;
    padding: 0;
    border: 0.1ch solid #ddd;
}

.tab-nav li {
    display: inline-block;
    left: 0px;
    height: 30px;
    text-align: center;
    border-right: 0.1ch solid #ddd;
}

.tab-nav li a:before {
    content: "";
    position: absolute;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 3px;
}

.tab-nav li a.active:before {
    background: #7ea21e;
}

.tab-nav li a.active {
    border-bottom: 0.1ch solid #fff;
}

.tab-nav li a {
    position: relative;
    display: block;
    background: #f8f8f8;
    color: #000;
    padding: 0 10px;
    width: 100px;
    line-height: 30px;
    text-decoration: none;
    font-size: 13px;
}

.tab-nav li a:hover,
.tab-nav li a.active {
    background: #fff;
    color: #7ea21e;
}

.tab-content {
    padding: 20px;
    height: 50vmin;
    min-height: 50vh;
    color: white;
    font-family: D2Coding;
    font-size: 1.8ch;
    border: 0.1ch solid black;
    background: black;
    /*border-top: none;*/
    box-shadow: 3px 3px 3px gray;
    -ms-overflow-style: none;
    overflow-y: scroll;
    word-break: break-all;
    text-overflow: clip;
}

/*.tab-content::-webkit-scrollbar {*/
/*    display: none;*/
/*}*/

.tab-content::-webkit-scrollbar {
    width: 10px;
}

.tab-content::-webkit-scrollbar-thumb {
    background-color: rgba(245, 245, 245, 0.35);
    border-radius: 10px;
}

.tab-content::-webkit-scrollbar-track {
    background-color: rgba(0, 0, 0, 0);
}
/* 탭구현 End */

/* 모달창 START */
.modal {
    position: fixed;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    opacity: 0;
    visibility: hidden;
    transform: scale(1.1);
    transition: visibility 0s linear 0.25s, opacity 0.25s 0s, transform 0.25s;
    pointer-events: none;
}
.modal-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: white;
    padding: 1rem 1.5rem;
    width: 80vmin;
    max-width: 500px;
    height: 100vmin;
    max-height: 500px;
    pointer-events: all;
}
.modal-box {
    background-color: white;
    border: 2px solid rgb(218, 218, 218);
    border-radius: 0.5rem;
    height: 500px;
}

.qr-box {
    background-color: rgb(228, 228, 228);
    border-radius: 0.5rem;
    height: 230px;
    padding-top: 5px;
}

.close-button {
    float: right;
    width: 1.5rem;
    line-height: 1.5rem;
    text-align: center;
    cursor: pointer;
    border-radius: 0.25rem;
    background-color: lightgray;
}
.close-button:hover {
    background-color: darkgray;
}
.show-modal {
    opacity: 1;
    visibility: visible;
    transform: scale(1.0);
    transition: visibility 0s linear 0s, opacity 0.25s 0s, transform 0.25s;
}
/* 모달창 END */

.doc-badge {
    padding: 0.5rem;
    color: white;
    font-size: 0.7rem;
    font-weight: bold;
    border-radius: 0.2rem;
    min-width: 4rem;
    display: inline-block;
    text-align: center;
}

.doc-badge.orange {
    background: #f6b537;
}

.doc-badge.blue {
    background: #2f78ff;
}

.doc-badge.gray {
    background: #5b5b5b;
}

.img-view {
    max-width: 50%;
    cursor: pointer;
    object-fit: contain;
}

img {
    position: inherit;
    top: 0;
    left: 0;
    width: 70%;
}

@media (max-width: 767px) {
    body {
        padding: 0.3rem;
    }

    footer {
        font-size: 0.825rem;
    }

    .doc-contents {
        margin-top: 3rem;
        width: 100%;
    }
}